# Class AcceptEncoding

java.lang.Object
org.apache.tomcat.util.http.parser.AcceptEncoding

public class AcceptEncoding extends Object

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AcceptEncoding(String encoding, double quality)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getEncoding()`
  `double`
  `getQuality()`
  `static List<AcceptEncoding>`
  `parse(StringReader input)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AcceptEncoding

    protected AcceptEncoding(String encoding, double quality)

- ## Method Details

  - ### getEncoding

    public String getEncoding()

  - ### getQuality

    public double getQuality()

  - ### parse

    public static List<AcceptEncoding> parse(StringReader input) throws IOException
    Throws:
      `IOException`